Webhook Events

Webhook Events endpoints for the Vault API Unified API

10.24.29
Run In Postman
|Full reference

Connection Created
Webhook

Event broadcast when a connection has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.created",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "added"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Updated
Webhook

Event broadcast when a connection has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.updated",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "authorized"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Disabled
Webhook

Event broadcast when a connection has been disabled.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.disabled",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": false,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "authorized"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Deleted
Webhook

Event broadcast when a connection has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.deleted",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "available"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Callable
Webhook

Event broadcast when a connection is now callable.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.callable",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "callable"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Revoked
Webhook

Event broadcast when a connection has been revoked.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.revoked",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "added"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Token Refresh Failed
Webhook

Event broadcast when a connection token refresh has failed.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.token_refresh.failed",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "added"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Token Refresh Pending
Webhook

Event broadcast when a connection has been token refresh pending.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.token_refresh.pending",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "added"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}

Connection Token Refresh Recovered
Webhook

Event broadcast when a connection has been token refresh recovered.

Header parameters

x-apideck-event-typestring
required
Enum:*vault.connection.createdvault.connection.updatedvault.connection.disabled

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_id": "9755c355-56c3-4a2f-a2da-86ff4411fccb",
    "event_type": "vault.connection.token_refresh.recovered",
    "service_id": "apideck-vault",
    "entity_id": "1111+test_user_id",
    "entity_type": "Connection",
    "entity": {
      "id": "1111+test_user_id",
      "consumer_id": "test_user_id",
      "unified_api": "crm",
      "service_id": "salesforce",
      "name": "Salesforce",
      "icon": "https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png",
      "logo": "https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg",
      "website": "https://www.salesforce.com",
      "tag_line": "CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS. Free 30 day trial.",
      "auth_type": "oauth2",
      "enabled": true,
      "created_at": "2020-09-19T12:18:37.071Z",
      "updated_at": "2020-09-19T12:18:37.071Z",
      "state": "added"
    },
    "execution_attempt": 2,
    "occurred_at": "2021-10-01T03:14:55.419Z"
  }
}